Description

Supportanfrage

Wenn ich versuche den configuration editor zu starten, bekomme ich diesen Fehler:

./adtf_configuration_editor

2019-07-17 19:22:56 [INFO]: Try to load "/home/vtd/Programs/adtf/adtf-3.3.3/bin/adtf_configuration

_editor.adtftool" [runtime.cpp(1722)]

2019-07-17 19:22:57 [INFO]: Loaded plugin: "/home/vtd/Programs/adtf/adtf-3.3.3/bin/adtf_configurat

ion_editor.adtftool" [runtime.cpp(1843)]

2019-07-17 19:22:57 [INFO]:     Registered class "configuration_editor.ui_tool.adtf.cid". ( 1 ) [r

untime.cpp(2171)]

2019-07-17 19:23:00 [ERROR]: Found a empty object name [modelutil.cpp(36)]

2019-07-17 19:23:00 [ERROR]: Found a empty object name [modelutil.cpp(36)]

2019-07-17 19:23:00 [INFO]: Initialize Qml [ce_starter.cpp(650)]

qml: Starting main window loader...

qml: Hiding splash screen...

 Die GUI ist durchsichtig und der Configuration Editor startet nicht.
Was kann ich hier machen? bzw. fehlen mir irgendwelche Pakete?

Zuvor war auf dem Rechner Kubuntu 16, ich habe Ubuntu-Desktop nachinstalliert.

Lösung

siehe Q: The ADTF Configuration Editor starts but the window content is either black or corrupted.

History

#1 - 2019-07-18 10:08 - hidden

- Status changed from New to In Progress

- Topic set to ADTF::CE

#2 - 2019-07-18 10:10 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Waldemar,

ich vermute das Rendering, siehe Q: The ADTF Configuration Editor starts but the window content is either black or corrupted.

Hilft dir das weiter ?

PS: Ich rate euch dringend, ADTF zu aktualisieren, zum einen wegen Features, zum anderen wegen Bugfixes und Optimierungen (am besten

kommendes ADTF 3.6.0, mindestens aber ADTF 3.5.0).

#3 - 2019-07-18 10:47 - hidden

Eigentlich habe ich die QT_QUICK_BACKEND=software ausprobiert, leider ohne neustart

Nach Neustart und hinzufigen in .profile

export QT_QUICK_BACKEND=software

läuft alles wieder. Problem erledigt. Danke

Wegen Update: habe ich schon probiert, leider können wir unsere HiL-Filter aktuell noch nicht mit 3.5 bauen wegen Namespace-Errors. Sobald mehr

Zeit ist werde ich aber alles auf 3.5 portieren. Danke für den Tipp.
Wann kommt eigentlich 3.6?

Gruß

#4 - 2019-07-18 12:25 - hidden

- Product Issue Numbers set to

https://support.digitalwerk.net/projects/download-center/wiki/FAQ's#Q-The-ADTF-Configuration-Editor-starts-but-the-window-content-is-either-black-or-

corrupted

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Solved Issue

Hallo Waldemar,

Nach Neustart [...] läuft alles wieder. Problem erledigt. Danke

 OK, sehr gut !

Wegen Update: habe ich schon probiert, leider können wir unsere HiL-Filter aktuell noch nicht mit 3.5 bauen wegen Namespace-Errors. Sobald

mehr Zeit ist werde ich aber alles auf 3.5 portieren. Danke für den Tipp.

 Vermutlich habt ihr nicht explizit die ant-Namespaces verwendet, somit wird der aktuelle (flash) angezogen.

Eine Umstellung auf diesen macht aber auch insgesamt Sinn, da sich die API hier deutlich verbessert hat, siehe Examples, Guides und Doku.

Ladbar ist das binary aber trotzdem nach wie vor (Abwärts- und Binärkompatibilität) bleibt in ADTF 3.x ebenso wie in 2.x in der Major Version

erhalten.

D.h. ein Upgrade und einbinden des alten Kompilats muss trotzdem gehen, nur zur Info...

Wann kommt eigentlich 3.6?

 Die 3.6 ist soweit fertig, befindet sich im Freigabetest und es soll alles im Juli kommen.

Durch den Plattformwechsel auf Windows 10 mit neuen Compiler VS 2017 VC141 möchten wir auch gleich die Toolboxen parat haben, sozusagen

als Gesamtpaket.

#5 - 2019-07-18 12:26 - hidden

- Project changed from 20 to Public Support

- Subject changed from adtf_configuration_editor startet nicht (GUI leer) Ubuntu 16 to ADTF Configuration Editor does not start

- Private changed from Yes to No

#6 - 2019-07-18 17:37 - hidden

Ok, super, dann starten wir gleich mit der 3.6 nächsten Monat.

Danke, Gruß

#7 - 2020-01-16 15:29 - hidden

- Status changed from To Be Closed to Closed
